<template>
  <BasicLayout />
</template>

<script setup lang="ts">
import BasicLayout from '#/layouts/basic.vue'
import { updatePreferences, usePreferences } from '@vben/preferences'
import { onMounted } from 'vue'

const { layout } = usePreferences()

onMounted(() => {
  if (layout.value !== 'header-nav') {
    updatePreferences({ app: { layout: 'header-nav' } })
  }
})
</script> 